{
  "schema_version": "1.4.0",
  "id": "GHSA-h9j4-w52x-j7q2",
  "modified": "2022-05-01T01:47:36Z",
  "published": "2022-05-01T01:47:36Z",
  "aliases": [
    "CVE-2005-0180"
  ],
  "details": "Multiple integer signedness errors in the sg_scsi_ioctl function in scsi_ioctl.c for Linux 2.6.x allow local users to read or modify kernel memory via negative integers in arguments to the scsi ioctl, which bypass a maximum length check before calling the copy_from_user and copy_to_user functions.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-0180"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10667"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/index.php?id=a&anuncio=000930"
    },
    {
      "type": "WEB",
      "url": "http://lists.grok.org.uk/pipermail/full-disclosure/2005-January/030660.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/17826"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:218"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2005:219"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-092.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/386374"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/12198"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-03-07T05:00:00Z"
  }
}